Index: configure.in
diff -Nau configure.in.orig configure.in
--- configure.in.orig	2009-01-31 05:48:30.000000000 +0100
+++ configure.in	2009-02-23 14:26:38.000000000 +0100
@@ -195,22 +195,33 @@
 
 # This check does not work on all platforms
 # Check if libgsm is available
-# AC_CHECK_LIB(gsm, sf_open, [
-#	AC_CHECK_HEADER(gsm.h, [],
-#		[AC_MSG_ERROR([gsm header files missing (gsm.h)])])
-#	AC_DEFINE(HAVE_GSM, 1, [Define to 1 if you have the <libgsm> library.])
-#	GSM_LIBS="-lgsm"
-#	echo "LIBS += -lgsm" >> $QT_INCL_PRO
-#	have_gsm="yes" ], [
-#	have_gsm="no"
-#	GSM_LIBS="\$(top_builddir)/src/audio/gsm/libgsm.a"
-#	echo "LIBS += ../audio/gsm/libgsm.a" >> $QT_INCL_PRO ])
-have_gsm="no"
-GSM_LIBS="\$(top_builddir)/src/audio/gsm/libgsm.a"
-echo "LIBS += ../audio/gsm/libgsm.a" >> $QT_INCL_PRO
+AC_CHECK_LIB(gsm, sf_open, [
+	AC_CHECK_HEADER(gsm.h, [],
+		[AC_MSG_ERROR([gsm header files missing (gsm.h)])])
+	AC_DEFINE(HAVE_GSM, 1, [Define to 1 if you have the <libgsm> library.])
+	GSM_LIBS="-lgsm"
+	echo "LIBS += -lgsm" >> $QT_INCL_PRO
+	have_gsm="yes" ], [
+	have_gsm="no"
+	GSM_LIBS="\$(top_builddir)/src/audio/gsm/libgsm.a"
+	echo "LIBS += ../audio/gsm/libgsm.a" >> $QT_INCL_PRO ])
+#have_gsm="no"
+#GSM_LIBS="\$(top_builddir)/src/audio/gsm/libgsm.a"
+#echo "LIBS += ../audio/gsm/libgsm.a" >> $QT_INCL_PRO
 
 AC_SUBST(GSM_LIBS)
 
+# Check if libgsm is available
+AC_CHECK_LIB(gsm, sf_open, [
+	AC_CHECK_HEADER(gsm.h, [],
+		[AC_MSG_ERROR([gsm header files missing (gsm.h)])])
+	AC_DEFINE(HAVE_GSM, 1, [Define to 1 if you have the <libgsm> library.])
+	LIBS="-lgsm $LIBS"
+	echo "LIBS += -lgsm" >> $QT_INCL_PRO
+	have_gsm="yes" ], [
+	have_gsm="no"
+	echo "$(top_builddir)/src/audio/gsm/libgsm.a" >> $QT_INCL_PRO ])
+
 # Check if ALSA is available
 AC_CHECK_LIB(asound, main, [
 	AC_CHECK_HEADER(alsa/asoundlib.h, [],
@@ -294,7 +305,11 @@
 	AC_CHECK_LIB(boost_regex-gcc, main, [
 		LIBS="-lboost_regex-gcc $LIBS"
 		echo "LIBS += -lboost_regex-gcc" >> $QT_INCL_PRO],
-		[AC_MSG_ERROR([libboost_regex library is missing (boost package).])])])
+		[
+		AC_CHECK_LIB(boost_regex-mt, main, [
+			LIBS="-lboost_regex-mt $LIBS"
+			echo "LIBS += -lboost_regex-mt" >> $QT_INCL_PRO],
+			[AC_MSG_ERROR([libboost_regex library is missing (boost package).])])])])
 
 ms_CHECK_LRELEASE()
 	
@@ -344,3 +359,4 @@
 AC_MSG_RESULT([Speex:       $have_speex])
 AC_MSG_RESULT([iLBC:        $have_ilbc])
 AC_MSG_RESULT([ZRTP:        $have_zrtp])
+AC_MSG_RESULT([Libgsm dynamic link:	$have_gsm])
Index: src/twinkle_config.h.in
diff -Nau src/twinkle_config.h.in.orig src/twinkle_config.h.in
--- src/twinkle_config.h.in.orig	2009-01-31 05:49:04.000000000 +0100
+++ src/twinkle_config.h.in	2009-02-23 14:24:10.000000000 +0100
@@ -19,6 +19,9 @@
 /* Define to 1 if you have the <history.h> header file. */
 #undef HAVE_HISTORY_H
 
+/* Define to 1 if you have the <libgsm> library. */
+#undef HAVE_GSM
+
 /* Define to 1 if you have the <ilbc> library. */
 #undef HAVE_ILBC
 
Index: src/audio/twinkle_zrtp_ui.cpp
diff -Nau src/audio/twinkle_zrtp_ui.cpp.orig src/audio/twinkle_zrtp_ui.cpp
--- src/audio/twinkle_zrtp_ui.cpp.orig	2009-01-03 17:54:05.000000000 +0100
+++ src/audio/twinkle_zrtp_ui.cpp	2009-02-23 14:54:31.000000000 +0100
@@ -208,7 +208,7 @@
 	ui->cb_async_zrtp_confirm_go_clear(lineno);
 }
 
-void TwinkleZrtpUI::showMessage(MessageSeverity sev, int subCode) {
+void TwinkleZrtpUI::showMessage(GnuZrtpCodes::MessageSeverity sev, int subCode) {
 	t_line *line = audioSession->get_line();
 	int lineno = line->get_line_number();
 	
@@ -218,11 +218,11 @@
 	msg += *mapCodesToString(sev, subCode);
 	
 	switch (sev) {
-	case Info:
+	case GnuZrtpCodes::Info:
 		log_file->write_report(msg, "TwinkleZrtpUI::showMessage", LOG_NORMAL,
 			LOG_INFO);
 		break;
-	case Warning:
+	case GnuZrtpCodes::Warning:
 		log_file->write_report(msg, "TwinkleZrtpUI::showMessage", LOG_NORMAL,
 			LOG_WARNING);
 		break;
@@ -232,7 +232,7 @@
 	}
 }
 
-void TwinkleZrtpUI::zrtpNegotiationFailed(MessageSeverity severity, int subCode) {
+void TwinkleZrtpUI::zrtpNegotiationFailed(GnuZrtpCodes::MessageSeverity severity, int subCode) {
 	t_line *line = audioSession->get_line();
 	int lineno = line->get_line_number();
 	
@@ -242,11 +242,11 @@
 	m += *mapCodesToString(severity, subCode);
 	
 	switch (severity) {
-	case Info:
+	case GnuZrtpCodes::Info:
 		log_file->write_report(m, "TwinkleZrtpUI::zrtpNegotiationFailed", LOG_NORMAL,
 			LOG_INFO);
 		break;
-	case Warning:
+	case GnuZrtpCodes::Warning:
 		log_file->write_report(m, "TwinkleZrtpUI::zrtpNegotiationFailed", LOG_NORMAL,
 			LOG_WARNING);
 		break;
@@ -266,20 +266,20 @@
 	log_file->write_report(msg, "TwinkleZrtpUI::zrtpNotSuppOther");
 }
 
-const string *const TwinkleZrtpUI::mapCodesToString(MessageSeverity severity, int subCode) {
+const string *const TwinkleZrtpUI::mapCodesToString(GnuZrtpCodes::MessageSeverity severity, int subCode) {
   	string *m = &unknownCode;
 
 	switch (severity) {
-	case Info:
+	case GnuZrtpCodes::Info:
 		m = &infoMap[subCode];
 		break;
-	case Warning:
+	case GnuZrtpCodes::Warning:
 		m = &warningMap[subCode];
 		break;
-	case Severe:
+	case GnuZrtpCodes::Severe:
 		m = &severeMap[subCode];
 		break;
-	case ZrtpError:
+	case GnuZrtpCodes::ZrtpError:
 		if (subCode < 0) {
 			subCode *= -1;
 		}
Index: src/audio/twinkle_zrtp_ui.h
diff -Nau src/audio/twinkle_zrtp_ui.h.orig src/audio/twinkle_zrtp_ui.h
--- src/audio/twinkle_zrtp_ui.h.orig	2009-01-03 17:53:58.000000000 +0100
+++ src/audio/twinkle_zrtp_ui.h	2009-02-23 14:55:21.000000000 +0100
@@ -56,8 +56,8 @@
         virtual void secureOff();
         virtual void showSAS(std::string sas, bool verified); 
         virtual void confirmGoClear();
-        virtual void showMessage(MessageSeverity sev, int subCode);
-        virtual void zrtpNegotiationFailed(MessageSeverity severity, int subCode);
+        virtual void showMessage(GnuZrtpCodes::MessageSeverity sev, int subCode);
+        virtual void zrtpNegotiationFailed(GnuZrtpCodes::MessageSeverity severity, int subCode);
         virtual void zrtpNotSuppOther();
         //}
 
@@ -81,7 +81,7 @@
 	 * @param subCode [in] The message code.
 	 * @return The message text.
 	 */
-	const string *const mapCodesToString(MessageSeverity severity, int subCode);
+	const string *const mapCodesToString(GnuZrtpCodes::MessageSeverity severity, int subCode);
 
 };
 
